| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSwapBytes Struct Reference
[Utilities]

Methods to unconditionally swap the byte order of specifically sized types. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions
static int16 | Int16 (int16 x)
static int32 | Int32 (int32 x)
static int64 | Int64 (int64 x)
static int64 | Swap (int64 l)
static uint64 | Swap (uint64 l)
static int32 | Swap (int32 l)
static uint32 | Swap (uint32 l)
static int16 | Swap (int16 s)
static uint16 | Swap (uint16 s)
| Swap byte order.
static uint16 | UInt16 (uint16 x)
static uint32 | UInt32 (uint32 x)
static uint64 | UInt64 (uint64 x)

## Detailed Description

Methods to unconditionally swap the byte order of specifically sized types.

Definition at line 40 of file csendian.h.

## Member Function Documentation

static uint16 csSwapBytes::Swap | ( | uint16 | s | ) | `[inline, static]`

Swap byte order.

Definition at line 45 of file csendian.h.

Referenced by csBigEndian::Convert(), Int16(), Int32(), Int64(), Swap(), UInt16(), UInt32(), and UInt64().

The documentation for this struct was generated from the following file:

- csutil/csendian.h